#include <stdlib.h>
#include <stdio.h>
#include "hm.h"

int main(int argc, char *argv[]) {
    hm_t hm;
    hm_init(&hm, 50);
    printf("capacity = %zu, length = %zu\n", hm.table_capacity, hm.table_length);
    char key1[] = "Orestis";
    char value1[] = "1234567";
    hm_insert(&hm, key1, value1);
    hm_remove(&hm, key1);
    char value2[] = "2345678";
    hm_insert(&hm, key1, value2);
    for (int i = 0; i < 50; ++i) {
        if (hm.table[i].state == OCCUPIED) {
            printf("key: %s, value %s\n", hm.table[i].key, hm.table[i].value);
        }
    }
    for (int i = 0; i < 50; ++i) {
        if (hm.table[i].state == OCCUPIED) {
            printf("key: %s, value %s\n", hm.table[i].key, hm.table[i].value);
        }
    }
    printf("capacity = %zu, length = %zu\n", hm.table_capacity, hm.table_length);


    hm_destroy(&hm);
    printf("capacity = %zu, length = %zu\n", hm.table_capacity, hm.table_length);
    return EXIT_SUCCESS;
}
